/*
	CSS Rules
		selector { property:  value;
		}
	CSS Selectors
	1. type selector - used to target elements with a specified type/tag name.
	2. Universal selector - used to target all elements
	3. Id selector - used to target elements with unique styling
	4. Class Selector - used to target elements with similar styling
	5.A ttribute selector - it only works based on the exact attribute syntax provided in the HTML tag.
*/

/*Universal Selector*/
* {
	font-family: "Courier New", monospace; 
	font-size: 20px;
}

/*Type Selector*/
h1 {
	color: blue !i
	mportant;
}

/*Id Selector*/
/*#id-name*/
#zuitt-motto {
	letter-spacing: 5px;
}

h3 {
	letter-spacing: 25px;
}
/*Class Selector*/
/* .class-name*/
.offering-item {
	text-transform: uppercase;
}

/*Attribute Selector*/
/* tagname[attribute] */
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/*Adjacent Sibling selector */
h3 + img {
	height:  300px;
	width:  300px;
	border-radius: 150px;
}

/*Descendant selector */

#bootcamp-learning-list li {
	color: darkgreen;
}

/*General Sibling selector */
/*selector ~ selector */

h2 ~ a {
	text-decoration: none;
}

/*Child selector */
/*selector > selector */
body > section > form > label {
	color:  rgb(0, 0, 128);
}
